Bug 194114 - [maintainer-update] security/kpcli 2.5 to 2.7 update
Summary: [maintainer-update] security/kpcli 2.5 to 2.7 update
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Bartek Rutkowski
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-10-03 13:45 UTC by alexander.4mail
Modified: 2014-10-16 09:43 UTC (History)
1 user (show)

See Also:


Attachments
PORTREVISION removed, PORTVERSION updated to 2.7, added p5-Clone depency (since kpcli requires clone.pm functionality) (1.11 KB, patch)
2014-10-03 13:45 UTC, alexander.4mail
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description alexander.4mail 2014-10-03 13:45:12 UTC
Created attachment 147934 [details]
PORTREVISION removed, PORTVERSION updated to 2.7, added p5-Clone depency (since kpcli requires clone.pm functionality)

update security/kpcli from 2.5 to 2.7

What's new (from README):
2014-Jun-06 v2.6 - Added interactive password generation ("i" method).
                   - Thanks to Florian Tham for the idea and patch.
                 Show entry's tags if present (KeePass >= v2.11).
                   - Thanks to Florian Tham for the patch.
                 Add/edit support for tags if a v2 file is opened.
                 Added tags to the searched fields for "find -a".
                 Show string fields (key/val pairs) in v2 files.
                 Add/edit for string fields if a v2 file is opened.
                 Show information about entries' file attachments.
                 2014-03-20 SourceForge feature request #6.
                 New "attach" command to manage file attachments.
                 Added "Recycle Bin" functionality and --no-recycle.
                 For --readonly, don't create a lock file and don't
                   warn if one exists. 2014-03-27 SourceForge bug #11.
                 Added key file generation to saveas and export.
                 2014-04-19 SourceForge bug #13.
                 Added -expired option to the find command.
                 Added "dir" as an alias for "ls"
                 Added some additional info to the stats command.
                 Added more detailed OS info for Linux/Win in vers.
                 Now hides Meta-Info/SYSTEM entries.
                 Fixed bug with SIGTSTP handling (^Z presses).
                 Fixed missing refresh_state_all_paths() in cli_rm.
2014-Jun-11 v2.7 - Bug fix release. Broke the open command in 2.6.
Comment 1 John Marino freebsd_committer 2014-10-08 18:39:52 UTC
moving to patch-ready pool.
Comment 2 commit-hook freebsd_committer 2014-10-16 09:41:20 UTC
A commit references this bug:

Author: robak
Date: Thu Oct 16 09:40:53 UTC 2014
New revision: 370986
URL: https://svnweb.freebsd.org/changeset/ports/370986

Log:
  security/kpcli: update 2.5 -> 2.7

  PR:		194114
  Submitted by:	Alexander Grigoryev <alexander.4mail@gmail.com>
  Approved by:	mentors (implicit)

Changes:
  head/security/kpcli/Makefile
  head/security/kpcli/distinfo
Comment 3 Bartek Rutkowski freebsd_committer 2014-10-16 09:43:09 UTC
Committed, thanks for your work!